/*
 * RS485_Master.c
 *
 * Created: 20.11.2016 15:22:24
 *  
 */ 


#include "../Rs485Dev/globalDef.h"
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <stdio.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>

#include "../Rs485Dev/RS485.h"
#include "../Rs485Dev/timer.h"
#include "../Rs485Dev/scheduler.h"
#include "MasterService.h"

int main(void)
{
	st_Dev_Config my_Dev_config;
	
	my_Dev_config.fptrCallBackOnOk =  NetMasterService;
	my_Dev_config.MasterMode = true;	
	my_Dev_config.MyAdr = 0x01;			// oder aus EEProm auslesen
	my_Dev_config.speed = 9600;
	NetInit(&my_Dev_config);
	
	timer0_init();
	initScheduler();
	_delay_ms(200);
	sei();
    initMasterService();
	while(1)
    {
       dispatchTasks();
	   masterService();
	   _delay_ms(5);
    }
}