/*
 * floorLightService.c
 *
 * Created: 22.11.2016 18:06:30
 *  
 */ 
 #include "floorLightService.h"
 #include "../Rs485Dev/FloorLight.h"
 #include "../Rs485Dev/button.h"
 #include "../Rs485Dev/globalDef.h"
 
 button_state_t buttonStateFloorLightService;
 button_state_t buttonStateNetFloorLight;
 
 void initFloorLightService(void)
 {
	 buttonStateFloorLightService = STATE_OFF;
	 buttonStateNetFloorLight = STATE_OFF;
 }
 
 void clearButtonStateNetFloorLight(void)
 {
	 buttonStateFloorLightService = STATE_OFF;
 }
 
 void NetFloorLight(st_protokoll_Data* RxFrame)
 {
	 NOP;
	 switch(RxFrame->Data[0])
	 {
		 case SET_LIGHT:
		 buttonStateNetFloorLight = RxFrame->Data[1];
		 Net_SendAck(RxFrame->TxAddress);
		 break;
		 case GET_SWITCH:
		 Net_RunOnAck(clearButtonStateNetFloorLight);
		 Net_SendChar(RxFrame->TxAddress,&buttonStateFloorLightService,1,CRC_BIT|NEED_ACK);
		 break;
		 default:
		 // Info an Master NO SERVICE AVAILABLE
		 break;
		 
	 }
 }
 
 void floorLight(void)
 {
	 if(buttonStateFloorLightService == STATE_OFF)buttonStateFloorLightService = getButtonState();
	 
	 if (buttonStateNetFloorLight == STATE_CLICK){
		 switch(getFloorLightState())
		 {
			 case STATE_OFF:
			 setFloorLigt(STATE_FADE_ON);
			 break;
			 case STATE_ON:
			 setFloorLigt(STATE_FADE_OFF);
			 break;
		 }
		buttonStateNetFloorLight = B_STATE_OFF; 
	 }else if(buttonStateNetFloorLight == STATE_LONG_CLICK)
	 {
		 switch(getFloorLightState())
		 {
			 case STATE_OFF:
			 setFloorLigt(STATE_ON);
			 break;
			 case STATE_ON:
			 setFloorLigt(STATE_OFF);
			 break;
		 }
		 buttonStateNetFloorLight = B_STATE_OFF ;
	 }
	 
 }