/*
 * button.h
 *
 * Created: 22.11.2016 09:57:09
 *  
 */ 


#ifndef BUTTON_H_
#define BUTTON_H_

#include <stdbool.h>

#define SHORT_CLICK	15
#define NORMAL_CLICK 50
#define LONG_CLICK 80

typedef enum {
	B_STATE_OFF = 0,
	B_STATE_ON,
	STATE_PRE_DOUBLE_CLICK,
	STATE_CLICK,
	STATE_DOUBLE_CLICK,
	STATE_LONG_CLICK
}button_state_t;

void initButton();
void buttonTask();
button_state_t getButtonState();



#endif /* BUTTON_H_ */