/*
 * crc16.h
 *
 * Created: 19.11.2016 09:24:38
 *  
 */ 


#ifndef CRC16_H_
#define CRC16_H_

#include <stdbool.h>

//#define NO_CRC

#define CRC16_INIT_VALUE 0xFFFF
#define CRC16_POLYNOM   0x1002
#define CRC_HI 1
#define CRC_LO 0


typedef union{
	unsigned int 	    iCRC16;
	unsigned char   	cCRC16[2];
}uCRC16_t;


void InitCRC(void);
unsigned int CalcCRC(unsigned char data);
uCRC16_t CalcCRCBuffer(unsigned char *data, unsigned int length);
bool CheckCRC(unsigned char *data, unsigned int length);



#endif /* CRC16_H_ */